/* This file performs analyses for the ballot secrecy experiment performed during the 
   2010 Connecticut General election.*/

set more off
clear
log using logs/04_connecticut_secret_ballot_analysis.txt, text replace

use ct_ballot_secrecy.dta, clear

*Treatment versus placebo comparison
foreach var of varlist v_cong_general_10 turnoutindex_12 v_pres_primary_12 v_cong_primary_12 v_pres_general_12  {
  sum `var'
  local temp = `r(mean)'
  regress `var' anysecrecytreatment age*md sex_* dem rep i_grp_addr_1 - i_grp_addr_4 town*_block if badaddress == 0 & (sosplacebotreatments ==1 | anysecrecytreatment ==1), robust

  sum `var' if e(sample) & sosplacebotreatments == 1 
  local temp2 = `r(mean)'
  if "`var'" == "v_cong_general_10" { 
    outreg using tables/Table03-ct_ballot_secrecy_persistence_table.out, 3aster se bracket bdec(3) tdec(3) addstat("Mean of DV in Sample", `temp', "Mean of DV in Control Group", `temp2') replace 
  }
  else {
    outreg using tables/Table03-ct_ballot_secrecy_persistence_table.out, 3aster se bracket bdec(3) tdec(3) addstat("Mean of DV in Sample", `temp', "Mean of DV in Control Group", `temp2') append
  }
}

log close
clear
