/* This file performs analyses for the ballot secrecy experiment performed during the 
   2012 Wisconsin Recall Election.
    - Used for placebo-like test for ballot secrecy experiment.*/

set more off
clear
log using logs/06_wisconsin_group_competition_analysis.txt, text replace

use wi_group_competition.dta, replace

clear

*ANALYSES

*define common set of control variables
local controls = "yearssincereg age_corrected d_miss_age female d_miss_gender hhinc_corrected d_miss_hhinc asian black latino mideastern nativeamer d_miss_race"

use wi_group_competition.dta, clear

gen nonvotersample04to11 = 1 if vg_04_update == 0 & vp_04_update == 0 & vs_04_update == 0 & vg_05_update == 0 & vp_05_update == 0 & vs_05_update == 0 /*
                            */& vg_06_update == 0 & vp_06_update == 0 & vs_06_update == 0 & vg_07_update == 0 & vp_07_update == 0 & vs_07_update == 0 /*
                            */& vg_08_update == 0 & vp_08_update == 0 & vs_08_update == 0 & vg_09_update == 0 & vp_09_update == 0 & vs_09_update == 0 /*
                            */& vg_10_update == 0 & vp_10_update == 0 & vs_10_update == 0 & vg_11_update == 0 & vp_11_update == 0 & vs_11_update == 0

**pre-2008 registrant analysis, never voted since 2004
*2012 recall election
reg vs_12_update treat if post08reg == 0 & yearssincereg != . & nonvotersample04to11 == 1, r
outreg using tables/TableS06-wi_group_competition_table.out, title(Group Competition: 2012 Recall; Never-voters since 2004; Pre-2008 Registrants Only) 3aster se bracket replace tdec(3)
xtreg vs_12_update treat if post08reg == 0 & yearssincereg != . & nonvotersample04to11 == 1, r fe i(township_id)
outreg using tables/TableS06-wi_group_competition_table.out, 3aster se bracket append tdec(3) addstat("R-squared Within", `e(r2_w)')
reg vs_12_update treat `controls' if post08reg == 0 & nonvotersample04to11 == 1, r
outreg using tables/TableS06-wi_group_competition_table.out, 3aster se bracket append tdec(3)
xtreg vs_12_update treat `controls' if post08reg == 0 & nonvotersample04to11 == 1, r fe i(township_id)
outreg using tables/TableS06-wi_group_competition_table.out, 3aster se bracket append tdec(3) addstat("R-squared Within", `e(r2_w)')

log close
clear
